package cn.com.qmth.examcloud.core.questions.service.bean.randompaper;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class StructInfo {
	@ApiModelProperty("是否有效")
	private Boolean valid;
	@ApiModelProperty("满分")
	private Double totalScore;
	@ApiModelProperty("难度系数")
	private Double difficultyDegree;
	@ApiModelProperty("题数量")
	private List<StructQuestionInfo> structQuestionInfo;

	public Double getDifficultyDegree() {
		return difficultyDegree;
	}

	public void setDifficultyDegree(Double difficultyDegree) {
		this.difficultyDegree = difficultyDegree;
	}

	public List<StructQuestionInfo> getStructQuestionInfo() {
		return structQuestionInfo;
	}

	public void setStructQuestionInfo(List<StructQuestionInfo> structQuestionInfo) {
		this.structQuestionInfo = structQuestionInfo;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public Boolean getValid() {
		return valid;
	}

	public void setValid(Boolean valid) {
		this.valid = valid;
	}

}
